> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relayai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Label Studio

> Export annotations in Label Studio format.

This format can be imported into Label Studio for editing
or used with Label Studio ML backend.



## OpenAPI

````yaml get /api/v1/datasets/{dataset_id}/annotation-sets/{annotation_set_id}/export/label-studio
openapi: 3.1.0
info:
  title: Relay API
  description: Voice AI Artifact Detection Platform
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/datasets/{dataset_id}/annotation-sets/{annotation_set_id}/export/label-studio:
    get:
      tags:
        - annotations
      summary: Export Label Studio
      description: |-
        Export annotations in Label Studio format.

        This format can be imported into Label Studio for editing
        or used with Label Studio ML backend.
      operationId: >-
        export_label_studio_api_v1_datasets__dataset_id__annotation_sets__annotation_set_id__export_label_studio_get
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Dataset Id
        - name: annotation_set_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Annotation Set Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LabelStudioExport'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    LabelStudioExport:
      properties:
        tasks:
          items:
            $ref: '#/components/schemas/LabelStudioTask'
          type: array
          title: Tasks
      type: object
      required:
        - tasks
      title: LabelStudioExport
      description: Full Label Studio export.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LabelStudioTask:
      properties:
        id:
          type: integer
          title: Id
        data:
          additionalProperties: true
          type: object
          title: Data
        annotations:
          items:
            $ref: '#/components/schemas/LabelStudioAnnotation'
          type: array
          title: Annotations
      type: object
      required:
        - id
        - data
        - annotations
      title: LabelStudioTask
      description: Label Studio task export format.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    LabelStudioAnnotation:
      properties:
        id:
          type: integer
          title: Id
        completed_by:
          type: integer
          title: Completed By
          default: 1
        result:
          items:
            $ref: '#/components/schemas/LabelStudioRegion'
          type: array
          title: Result
        was_cancelled:
          type: boolean
          title: Was Cancelled
          default: false
        ground_truth:
          type: boolean
          title: Ground Truth
          default: true
      type: object
      required:
        - id
        - result
      title: LabelStudioAnnotation
      description: Label Studio annotation format.
    LabelStudioRegion:
      properties:
        id:
          type: string
          title: Id
        from_name:
          type: string
          title: From Name
          default: labels
        to_name:
          type: string
          title: To Name
          default: audio
        type:
          type: string
          title: Type
          default: labels
        value:
          additionalProperties: true
          type: object
          title: Value
      type: object
      required:
        - id
        - value
      title: LabelStudioRegion
      description: Label Studio region format for audio annotations.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````